Subject: Re: [PATCH 1/3] doc: dt: bindings: usb: dwc3: Update entries for disabling SS instances in park mode

From: Thinh Nguyen <[email-masked]>
Date: Tue, 12 Nov 2019 20:03:05 +0000

Hi,

Jun Li wrote:
> This bug exists on all current versions per information I got from Synopsys.
> + Thinh Nguyen <[email-masked]>.
>
> Li Jun

The GUCTL1.PARKMODE_DISABLE_SS is only available in dwc_usb3 controller 
running in host mode. This should not be set for other IPs.

This can be disabled by default based on IP, but I recommend to have a 
property to enable this feature for devices that need this.

>
> Neil Armstrong <[email-masked]> 于2019年11月12日周二 下午5:00写道：
>> Hi Li,
>>
>> On 11/11/2019 02:58, Jun Li wrote:
>>> Hi Neil
>>>
>>> As I got the information from Synopsys, this bug exists on current IP versions,
>>> and per my tests with external USB3 hub + 2 Super speed udisks on data
>>> read by dd, I can reproduce this issue with different kernel versions, also I
>>> didn't see obvious performance drop by dd tests after disable park mode for
>>> super speed, so should we just disable it by default so no need a quirk?
>> I don't have any opinion on this, I think the USB & DWC3 maintainers should decide
>> how to handle this.
>>
>> Did Synopsys specified a range of affected IP version ?
>>
>> Neil
>>
>>> Li Jun
>>>
>>> Tim <[email-masked]> 于2019年11月11日周一 上午8:42写道：
>>>> Thanks for working on this Neil,
>>>> Is there something that needs doing for this patch to make it into 5.3 or 5.4?
>>>> As previously mentioned the patch set fixes the issue on affected hardware;
>>>>      https://urldefense.proofpoint.com/v2/url?u=https-3A__patchwork.kernel.org_patch_11164515_&d=DwIFaQ&c=DPL6_X_6JkXFx7AXWqB0tg&r=u9FYoxKtyhjrGFcyixFYqTjw1ZX0VsG2d8FCmzkTY-w&m=BCfRHM9e86039Su0-QvK_yUjNnYrnl_BcvxTtViypT8&s=aV5u7uxNX6oTLB3_-qNuzrNvyiqx_rPC6P9TMqG-LNE&e=
>>>>
>>>>
>>>>
>>>> On Wed, Oct 23, 2019 at 4:11 PM Rob Herring <[email-masked]> wrote:
>>>>> On Mon, Oct 14, 2019 at 04:17:16PM +0200, Neil Armstrong wrote:
>>>>>> This patch updates the documentation with the information related
>>>>>> to the quirks that needs to be added for disabling all SuperSpeed XHCi
>>>>>> instances in park mode.
>>>>>>
>>>>>> CC: Dongjin Kim <[email-masked]>
>>>>>> Cc: Jianxin Pan <[email-masked]>
>>>>>> Reported-by: Tim <[email-masked]>
>>>>>> Signed-off-by: Neil Armstrong <[email-masked]>
>>>>>> ---
>>>>>>   Documentation/devicetree/bindings/usb/dwc3.txt | 2 ++
>>>>>>   1 file changed, 2 insertions(+)
>>>>> Sigh, what's one more to the never ending list of quirks...
>>>>>
>>>>> Acked-by: Rob Herring <[email-masked]>

BR,
Thinh
_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel